
Redmine - Defect #23846

NoMethodError (undefined method `reverse!'

2016-09-16 17:46 - Jean-Michel Bain-Cornu

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.2

Description

Hi guys,

Found an error on activating a link on an announce :

NoMethodError (undefined method `reverse!' for #<ActiveRecord::Associations::CollectionProxy []>):

app/controllers/news_controller.rb:62:in `show'

There is a workaround by commenting the faulty line :

def show

@comments = @news.comments     # @comments.reverse! if User.current.wants_comments_in_reverse_order?

end

but I miss skills to figure out what's happening.

Environment:

Redmine version 2.5.2.devel

Ruby version 2.1.5-p273 (2014-11-13) [x86_64-linux-gnu]

Rails version 4.1.8

Environment production

Database adapter Mysql2

History

#1 - 2016-09-17 05:26 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Redmine 2.5.2 is too old.

It is not use Rails 4.1.8.

#2 - 2016-09-19 11:00 - Jean-Michel Bain-Cornu

OK.

As it was install recently by Debian apt, that means this package is not up to date, and another one must be taken, probablement from a development

server.

Thanks
